#
# spec file for package perl-DBD-Oracle (Version 1.21)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-DBD-Oracle
Url:            http://search.cpan.org/~timb/DBD-Oracle/
ExclusiveArch:  %ix86 x86_64
BuildRequires:  oracle-instantclient-basic oracle-instantclient-devel oracle-instantclient-sqlplus perl-DBI
License:        Artistic License; GPL v2 or later
Group:          Development/Libraries/Perl
AutoReqProv:    on
Requires:       perl-DBI
Requires:       perl = %{perl_version}
Summary:        Perl DBD module for interfacing with Oracle databases
Version:        1.21
Release:        31.2
Source:         DBD-Oracle-%{version}.tar.bz2
Source1:        oracle-instantclient.html
Patch:          Makefile.PL.diff
Patch1:         envdep.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module is needed to access Oracle databases from within Perl. It
links against Oracle's instantclient available from
http://www.oracle.com/technology/tech/oci/instantclient/index.html



Authors:
--------
    Tim Bunce et al.

%prep
%setup -n DBD-Oracle-%{version}
%patch -p1
%patch1
cp %{S:1} .

%build
#incdir=`echo /opt/oracle/instantclient*/sdk/include`
#export ORACLE_HOME=/opt/oracle/lib
#export LD_LIBRARY_PATH=/opt/oracle/lib

%ifarch x86_64
incdir="/usr/include/oracle/10.2.0.4/client64/"
export ORACLE_HOME=/usr/lib/oracle/10.2.0.4/client64/lib/
export LD_LIBRARY_PATH=/usr/lib/oracle/10.2.0.4/client64/lib/
%else
incdir="/usr/include/oracle/10.2.0.4/client/"
export ORACLE_HOME=/usr/lib/oracle/10.2.0.4/client/lib/
export LD_LIBRARY_PATH=/usr/lib/oracle/10.2.0.4/client/lib/
%endif

perl Makefile.PL -v -h $incdir -V `perl -ne '$$1=$2 if /#define\s+OCI_M(AJ|IN)OR_VERSION\s+(\d+)/; END { print "$AJ.$IN\n" } ' $incdir/oci.h`
make
# make test		# only 2.7% success

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make DESTDIR=$RPM_BUILD_ROOT install_vendor
chmod 644 README MANIFEST Changes
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README MANIFEST oracle-instantclient.html
%doc %{_mandir}/man?/*
%dir %{perl_vendorarch}/DBD
%dir %{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/Oraperl.pm
%{perl_vendorarch}/oraperl.ph
%{perl_vendorarch}/DBD/*
%{perl_vendorarch}/auto/DBD/*
/var/adm/perl-modules/%{name}
/usr/bin/ora_*

%changelog
* Fri Oct 17 2008 olh@suse.de
- add ExclusiveArch x86 x86_64
* Mon Apr 14 2008 jw@suse.de
- updated to 1.21(svn rev 11067)
  Added a number of new features, fixed a range of can bugs,
  Most important, updated documentation!
* Tue Mar 11 2008 jw@suse.de
- exec bits removed from docs.
* Mon Jan 14 2008 jw@suse.de
- updated to DBD-Oracle 1.20
  many small bugfixes plus:
  Added support for ora_charset, ora_ncharset from Stephen J. Smith
  Added PERL_NO_GET_CONTEXT for better multi-threaded support from John Scoles
  Added support for OCI array bind from Alexander V Alekseev
  Added support for select of OCI Embedded Objects from John Scoles
  Added fix to Makefile.PL for finding SQLplus for Ubuntu Server (but should work for others) from Martin J. Evans
  Added fix to dbdimp.c for SQLCS_NCHAR index use on varchar2s from  Peter J. Holzer
* Thu May  3 2007 jw@suse.de
- added some documentation on oracle-instantclient
- updated to DBD-Oracle 1.19
  Fixed execute_array to comply with DBI standard from Martin J. Evans, Xho Jingleheimerschmidt and others
  Fixed execute_array so it will not throw a Perl warning on undef values in Tuples from John Scoles
  Fixed execute_array so it will take the ora_array_chunk_size DB handle attribute
  Fixed some typos in code and READMEs from John Scoles
  Fixed a few other little bugs dealing with  compatibility with Oracle 8
  Changes to README from Karl Auer
  Suppress warning in 26exe_array.t from Philip Garrett
  Added support for array context aware execute_for_fetch from Martin J. Evans
  Fixed Makefile.PL for an incompatibility with ExtUtils::MM_Unix v1.50 (invoked byExtUtils::MakeMaker) from Dennis McRitchie
  Updated POD to reflect that OCI after 9.2 no longer strips trialing spaces
* Wed Aug 23 2006 ro@suse.de
- change dep from /bin/env to /usr/bin/env
* Wed Jul 26 2006 jw@suse.de
- update to V1.18, minor changes only.
* Tue Jun  6 2006 jw@suse.de
- filelist check failed. auto now excluded.
* Fri Jun  2 2006 jw@suse.de
- initial build V1.17
  using oracle-instantclient-10.2
